#import <Cocoa/Cocoa.h>
#import "MYQuickLookController.h"

@interface MYCollectionView : NSCollectionView {
	IBOutlet MYQuickLookController* quickLookController;
	IBOutlet id dataSource;
	BOOL enabled;
	BOOL __hoverover;
	BOOL __inremove;
	BOOL first_mouse;
	BOOL support_remove;
	BOOL support_reorganize;
	SEL doubleAction;
	SEL action;
	id target;
	IBOutlet NSButton* actionProxy;
}
- (void) setMoveOffToRemove:(BOOL) b;
- (BOOL) moveOffToRemove;
- (void) setDoubleAction:(SEL) sel;
- (SEL) doubleAction;
- (void) setAction:(SEL) sel;
- (SEL) action;
- (void) setTarget:(id) t;
- (id) target;

- (void) setDataSource:(id) ds;
- (id) dataSource;
- (BOOL) isEnabled;
- (void) setEnabled:(BOOL) b;

- (BOOL) sendAction:(SEL)theAction to:(id)theTarget;
- (NSInteger)sendActionOn:(NSInteger)mask;

- (IBAction)selectNone:(id)sender;
- (NSInteger) selectedIndex;
@end
